Name:           redmine
Version:        0.9.2
Release:        1%{?dist}
Summary:        Project management web application
Group:          Development/Tools 
License:        GPLv2+
URL:            http://www.redmine.org 
Source0:        http://rubyforge.org/frs/download.php/68515/%{name}-%{version}.tar.gz 
Source1:        %{name}-README.fedora
Patch0:         redmine-0.9.0-fedora-customization.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       ruby(abi) = 1.8, rubygems, rubygem(rake), rubygem(rails), rubygem(activesupport)
Requires:       rubygem(actionmailer), rubygem(actionpack), rubygem(activerecord), rubygem(activeresource)
Requires:       rubygem(coderay), rubygem(ruby-net-ldap), rubygem(acts-as-list)

%description
Redmine is a flexible project management web application 
written using Ruby on Rails framework.

%prep
%setup -q
%patch0 -p1 -b .fedora-customization

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -p -d -m0755 %{buildroot}%{_datadir}/%{name}
%{__install} -p -d -m0755 %{buildroot}%{_datadir}/%{name}/vendor
%{__install} -p -d -m0755 %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -p -r app config db extra files lib log public Rakefile script test tmp %{buildroot}%{_datadir}/%{name}

# Not all plugins are installed from our source file.
%{__mkdir} %{buildroot}%{_datadir}/%{name}/vendor/plugins
for plugin in acts_as_activity_provider acts_as_attachable acts_as_customizable acts_as_event \
    acts_as_searchable acts_as_tree acts_as_versioned acts_as_watchable awesome_nested_set \
    classic_pagination engines gravatar open_id_authentication prepend_engine_views rfpdf; do
    %{__cp} -p -r vendor/plugins/$plugin %{buildroot}%{_datadir}/%{name}/vendor/plugins/$plugin
done

%{__cp} -p -r vendor/gems %{buildroot}%{_datadir}/%{name}/vendor
%{__install} -p -m0644 %{SOURCE1} README.fedora
%{__install} -m0644 doc/CHANGELOG CHANGELOG 

chmod a+x %{buildroot}%{_datadir}/%{name}/extra/mail_handler/rdm-mailhandler.rb 
chmod a+x %{buildroot}%{_datadir}/%{name}/script/{dbconsole,performance/request,process/inspector} 
chmod a+x %{buildroot}%{_datadir}/%{name}/vendor/plugins/rfpdf/lib/rfpdf/makefont.rb 
chmod a+x %{buildroot}%{_datadir}/%{name}/vendor/plugins/rfpdf/test/test_helper.rb 
chmod a+x %{buildroot}%{_datadir}/%{name}/lib/faster_csv.rb
chmod a+x %{buildroot}%{_datadir}/%{name}/vendor/gems/rubytree-0.5.2/test/test_binarytree.rb
chmod a+x %{buildroot}%{_datadir}/%{name}/vendor/gems/rubytree-0.5.2/test/test_tree.rb

for file in $(find %{buildroot} -size 0) ; do
    %{__rm} -f "$file"
done

%{__rm} %{buildroot}%{_datadir}/%{name}/vendor/plugins/engines/.gitignore
%{__rm} %{buildroot}%{_datadir}/%{name}/vendor/plugins/gravatar/.gitignore
%{__rm} %{buildroot}%{_datadir}/%{name}/vendor/gems/rubytree-0.5.2/.specification
%{__rm} %{buildroot}%{_datadir}/%{name}/public/.htaccess

sed -i 's#/usr/local/bin/ruby#/usr/bin/ruby#' %{buildroot}%{_datadir}/%{name}/lib/faster_csv.rb


mv CHANGELOG timestamp
iconv -f ISO-8859-1 -t UTF-8 -o CHANGELOG timestamp
touch -r timestamp CHANGELOG 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_datadir}/%{name}
%doc CHANGELOG doc/COPYING doc/INSTALL doc/README_FOR_APP doc/RUNNING_TESTS doc/UPGRADING README.fedora

%changelog
* Wed Feb 17 2010 David Hannequin <david.hannequin@gmail.com> - 0.9.2-1
- Updated to a new upstream version.

* Fri Jan 15 2010 Karel Klic <kklic@redhat.com>  - 0.9.0-1
- Updated to a new upstream version.
- Added a patch with changes specific to Fedora
- Set ruby(api) back to 1.8
- Updated Required section in the spec file
- Added dashes to version strings in log entries

* Sun Jul 12 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.4-9
- Require ruby rail 2.2 

* Wed May 20 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.4-8
- Upgrade version
- Use cp -p to preserver timestamp 
- Use fedora rubygem rpm 

* Mon May 11 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.3-7
- Modify CHANGELOG file encoding utf8

* Sun May 10 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.3-6
- Remove zero length files
- Fix wrong script end of line encoding
- Remove version control internal file
- Fix executable file
- Remove htaccess file

* Sat May 2 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.3-5
- Change ruby shebang path 

* Fri May 1 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.3-4
- Fix require
- Upgrade version 
- Delete message from 

* Tue Apr 30 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.2-3
- Fix wrong path,
- delete export CFLAG.

* Mon Apr 27 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.2-2
- Change files and directory.

* Fri Mar 27 2009 David Hannequin <david.hannequin@gmail.com> - 0.8.2-1
- First release.
